#include "BehaviourAnim.h"
#include "Level.h"
#include "LD.h"



BehaviourAnim::BehaviourAnim( int AnimBase, int AnimSteps )
{
  m_AnimBase = AnimBase;
  m_AnimSteps = AnimSteps;
  m_AnimPos = 0;
}



void BehaviourAnim::UpdateFixed( Level& Level, GameObject* pObj )
{

  m_AnimPos = ( ( m_AnimPos + 1 ) % ( m_AnimSteps * 5 ) );

  pObj->m_TexSection = (LD::TextureTypes)( m_AnimBase + m_AnimPos / 5 );

}



